﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Results.aspx.cs" Inherits="MailPerformanceMonitorWeb.Results" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body style="font-family:Tahoma,Arial; font-size:10px">
    <form id="form1" runat="server">
        <a href="Results.aspx?ErrorOnly=1">Click here for exceptions</a><br /><br />
        <asp:ListView ID="lvMessages" runat="server" OnItemDataBound="LvMessagesDataBound" ItemPlaceholderID="MessagesPlaceHolder" OnLayoutCreated="LvMessagesLayoutCreated">
            <LayoutTemplate>
                <table border="0" cellspacing="0" cellpadding="0" width="1000">
                    <thead>
                        <tr>
                            <th style="border-bottom:solid; border-bottom-width:1px; text-align:left">
                                <asp:Literal ID="litFromH" runat="server" />
                            </th>
                            <th style="border-bottom:solid; border-bottom-width:1px; text-align:left">
                                <asp:Literal ID="litToH" runat="server" />
                            </th>
                            <th style="border-bottom:solid; border-bottom-width:1px; text-align:left">
                                <asp:Literal ID="litSentH" runat="server" />
                            </th>
                            <th style="border-bottom:solid; border-bottom-width:1px; text-align:left">
                                <asp:Literal ID="LitReceivedH" runat="server" />
                            </th>
                            <th style="border-bottom:solid; border-bottom-width:1px; text-align:left">
                                <asp:Literal ID="LitDiffH" runat="server" />
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <asp:PlaceHolder ID="MessagesPlaceHolder" runat="server"></asp:PlaceHolder>
                    </tbody>
                </table>
                <asp:DataPager ID="dpMessages" runat="server" PagedControlID="lvMessages" QueryStringField="page" PageSize="100">
			        <Fields>
				        <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="false" ShowNextPageButton="false" ShowPreviousPageButton="true"  />
                        <asp:NumericPagerField RenderNonBreakingSpacesBetweenControls="true" ButtonCount="40"  />
                        <asp:NextPreviousPagerField ButtonType="Button" ShowLastPageButton="false" ShowPreviousPageButton="false" ShowNextPageButton="true"  />
			        </Fields>
		        </asp:DataPager>
            </LayoutTemplate>
            <ItemTemplate>
                <tr id="trMessage" runat="server">
                    <td style="border-bottom:solid; border-bottom-width:1px; text-align:left">
                        <asp:Literal ID="litFrom" runat="server" />
                    </td>
                    <td style="border-bottom:solid; border-bottom-width:1px; text-align:left">
                        <asp:Literal ID="litTo" runat="server" />
                    </td>
                    <td style="border-bottom:solid; border-bottom-width:1px; text-align:left">
                        <asp:Literal ID="litSent" runat="server" />
                    </td>
                    <td style="border-bottom:solid; border-bottom-width:1px; text-align:left">
                        <asp:Literal ID="LitReceived" runat="server" />
                    </td>
                    <td style="border-bottom:solid; border-bottom-width:1px; text-align:left">
                        <asp:Literal ID="LitDiff" runat="server" />
                    </td>
                </tr>
            </ItemTemplate>
            <EmptyDataTemplate>
                <asp:Literal ID="litNoResults" runat="server" />
            </EmptyDataTemplate>
        </asp:ListView>
    </form>
</body>
</html>
